---

###############################################################################
# remove message at boot time: Secure boot forbids loading module from (path)/boot/grub/*.mod"
###############################################################################

- name: count /boot/grub/x86_64-efi/*.mod files
  find:
    paths:      /boot/grub/x86_64-efi/
    patterns:   '*.mod'
  register:     find
  changed_when: find.matched > 0


- name:         "remove message at boot time: Secure boot forbids loading module from (path)/boot/grub/*.mod"
  command:      "/usr/sbin/grub-install --install-module="
  register:     shellcommand
  changed_when: shellcommand.rc == 0
  failed_when:  shellcommand.rc > 0
  when:         find.matched    > 0
